local Deadened = LibStub("AceAddon-3.0"):GetAddon("Deadened")
local mod = Deadened:NewModule("AzCastBar", "AceHook-3.0")

function mod:OnEnable()
	if self:MenuHide() then return end

	for _, frame in ipairs(AzCastBar.frames) do
		self:RawHookScript(frame, "OnEvent")
	end
end

function mod:MenuHide()
	return AzCastBar == nil
end

function mod:OnEvent(obj, event, unit, ...)
	if unit then 
		local spell = UnitCastingInfo(unit)
		if spell and Deadened:IsDeaden(spell) then
			return
		end
	end
	self.hooks[obj].OnEvent(obj, event, unit, ...)
end
